Contents
api
Work Orders
Work Orders
The Work Orders endpoint provides read access to manufacturing and assembly work orders.
The Work Order Object
{
"rec": 38,
"shortId": "WO-2025-0038",
"description": "Assemble Model X Bracket Kit",
"statusId": 2,
"typeId": 1,
"priority": 3,
"assetId": 42,
"wId": 1,
"scheduledDate": "2025-05-20T00:00:00Z",
"startDate": "2025-05-25T00:00:00Z",
"completedDate": null,
"created": "2025-05-19T09:00:00Z",
"modified": "2025-05-25T10:00:00Z"
}Fields
| Field | Type | Description |
|---|---|---|
rec | integer | Work order record number |
shortId | string | Work order number |
description | string | Work order description |
statusId | integer | Status code |
typeId | integer | Work order type code |
priority | integer | Priority level |
assetId | integer | Associated asset ID |
wId | integer | Warehouse ID |
scheduledDate | datetime | Scheduled date |
startDate | datetime | Actual start date |
completedDate | datetime or null | Completion date |
created | datetime | Record creation timestamp |
modified | datetime | Last modification timestamp |
Note: The detail response (
GET /WorkOrder/{id}) addsrequestedDate,requestedBy,assignedBy,supervisorId,reasonId,notes,comment, and thelinesandhistoryarrays.
List Work Orders
GET /WorkOrderReturns work orders. Maximum page size is 50.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number (default 1) |
pageSize | integer | No | Results per page (max 50) |
sort | string | No | Field to sort by |
direction | string | No | asc or desc |
startDate | datetime | No | Filter by start date on or after |
endDate | datetime | No | Filter by due date on or before |
Response
{
"value": [
{
"rec": 38,
"shortId": "WO-2025-0038",
"description": "Assemble Model X Bracket Kit",
"statusId": 2,
"typeId": 1,
"priority": 3,
"assetId": 42,
"wId": 1,
"scheduledDate": "2025-05-20T00:00:00Z",
"startDate": "2025-05-25T00:00:00Z",
"completedDate": null,
"created": "2025-05-19T09:00:00Z",
"modified": "2025-05-25T10:00:00Z"
},
{
"rec": 37,
"shortId": "WO-2025-0037",
"description": "Rebuild Pump Assembly #4",
"statusId": 1,
"typeId": 1,
"priority": 2,
"assetId": 45,
"wId": 1,
"scheduledDate": "2025-05-25T00:00:00Z",
"startDate": null,
"completedDate": null,
"created": "2025-05-24T09:00:00Z",
"modified": "2025-05-24T09:00:00Z"
}
],
"totalCount": 14,
"page": 1,
"pageSize": 25,
"pageCount": 1,
"hasMore": false
}Get a Work Order
GET /WorkOrder/{id}Returns the full work order including header, line items, and history. The id is the work order number (shortId), for example WO-2025-0038. Returns 404 if not found.
Response
{
"rec": 38,
"shortId": "WO-2025-0038",
"description": "Assemble Model X Bracket Kit",
"statusId": 2,
"typeId": 1,
"priority": 3,
"assetId": 42,
"wId": 1,
"scheduledDate": "2025-05-20T00:00:00Z",
"requestedDate": "2025-05-19T00:00:00Z",
"startDate": "2025-05-25T00:00:00Z",
"completedDate": null,
"requestedBy": 3,
"assignedBy": 5,
"supervisorId": 7,
"reasonId": 1,
"notes": "Build 5 bracket kits.",
"comment": "Priority order.",
"created": "2025-05-19T09:00:00Z",
"modified": "2025-05-25T10:00:00Z",
"lines": [
{
"rec": 101,
"partNo": 1234,
"description": "Model X Bracket",
"qty": 50,
"qtyIssued": 20,
"unitPrice": 12.50,
"lineNo": 1
}
],
"history": [
{
"date": "2025-05-22T09:15:00Z",
"user": "J. Martinez",
"notes": "First batch completed and staged."
}
]
}Permissions
| Action | Required Permission |
|---|---|
| List / Get work orders | All Work Orders (SecurityID 134) |
On this page